
From: "V. ANANDA KRISHNAN" <mansarov@us.ibm.com>

The jsm driver uses a static number of 253.  The major number 253 is a
reserved for "LOCAL/EXPERIMENTAL USE" by both char and block devices.  So
take advantage of the dynamic allocation of major number by the kernel.

Signed-off-by: V. Ananda Krishnan <mansarov@us.ibm.com> 
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/jsm/jsm_driver.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/serial/jsm/jsm_driver.c~jsm-use-dynamic-major-number-allocation drivers/serial/jsm/jsm_driver.c
--- devel/drivers/serial/jsm/jsm_driver.c~jsm-use-dynamic-major-number-allocation	2005-07-26 00:00:33.000000000 -0700
+++ devel-akpm/drivers/serial/jsm/jsm_driver.c	2005-07-26 00:00:33.000000000 -0700
@@ -42,7 +42,7 @@ struct uart_driver jsm_uart_driver = {
 	.owner		= THIS_MODULE,
 	.driver_name	= JSM_DRIVER_NAME,
 	.dev_name	= "ttyn",
-	.major		= 253,
+	.major		= 0,
 	.minor		= JSM_MINOR_START,
 	.nr		= NR_PORTS,
 };
_
